Personal Gentoo overlay, focusing mostly on needed tools and
compatibility for the Librem 14 computer.

Available packages:
 - **dev-util/rust-analyzer-bin**: A properly versioned ebuild of
   rust-analyzer-bin.
- **sys-kernel/librem-ec-acpi**: An ebuild packaging the [Librem 14
   EC ACPI kernel module][ec-acpi], necessary for proper functioning
   of the laptop's battery charging and function keys.

## How to Add This Repository

Using eselect-repository:

```
# eselect repository add projectmoon git https://git.agnos.is/projectmoon/projectmoon-overlay
```

## Using the Librem EC ACPI kernel module

The Librem EC ACPI kernel module should install and be automatically
available (via modprobe) after installation, using `emerge
sys-kernel/librem-ec-acpi`. The module is currently installed to
`/lib/modules/<kernel>/librem/`.

When upgrading or installing a new kernel, you will need to do `emerge
@modules-rebuild` to install the module for the new kernel.

[ec-acpi]: https://source.puri.sm/nicole.faerber/librem-ec-acpi-dkms
